> For the complete documentation index, see [llms.txt](https://developers.docstudio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.docstudio.com/api-documentation/api-methods/account-domains/check-account-domain.md).

# Check Account Domain

Use this endpoint to check account domain ownership. The domain is verified with the `verifyInfo` and `verifyMethod` data. You can run this check once per minute. Only unverified domains can be checked.

<table><thead><tr><th width="245">Endpoint</th><th></th></tr></thead><tbody><tr><td>Method</td><td>PATCH</td></tr><tr><td>Request URL</td><td><code>/api/v1/account/{accountUuid}/domain/{domainUuid}/check</code></td></tr><tr><td><strong>Headers</strong></td><td></td></tr><tr><td>Authorization *</td><td>Bearer TOKEN</td></tr><tr><td>Content-Type</td><td>application/json</td></tr><tr><td><strong>Request</strong></td><td></td></tr><tr><td>accountUuid *</td><td>Target account UUID</td></tr><tr><td>domainUuid *</td><td>Account domain UUID</td></tr></tbody></table>

This endpoint does not require a request body.

### Request example

```http
PATCH https://api.platform_address_here/api/v1/account/3fa85f64-5717-4562-b3fc-2c963f66afa6/domain/3fa85f64-5717-4562-b3fc-2c963f66afa6/check
Authorization: Bearer {token}
Content-Type: application/json
```

### Response example

The response is returned only if the domain is unverified and the verification period has not expired yet. Domains that become verified will have the `INACTIVE` status.

```json
{
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "accountUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "domain": "google.com",
    "status": "INACTIVE",
    "verifyInfo" : {
        "domain": "_whitedoc-verify",
        "value": "abc123"
    },
    "verifyMethod": "DNS_TXT_RECORD"
}
```

### Response status codes

| Code | Description       |
| ---- | ----------------- |
| 200  | Success           |
| 400  | Bad request       |
| 401  | Not authorized    |
| 403  | Forbidden         |
| 404  | Domain not found  |
| 429  | Too many requests |

### Related topics

* [Verify Account Domain](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/verify-account-domain)
* [Confirm Account Domain Verification](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/confirm-account-domain-verification)
* [Activate/Deactivate Account Domain](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/activate-deactivate-account-domain)
